We have helped our customers to fix 24 442 vulnerabilities
ImmuniWeb® by High-Tech Bridge


High-Tech Bridge Newsletter

Subscribe to our newsletter and receive some or all of our corporate news, invitations to security events or HTB Security Advisories – you choose what you want to receive.

Cross-site Scripting (XSS) Vulnerabilities in Scribe CMS

Advisory ID:HTB22420
Product:Scribe CMS
Vendor:Sigmer Technologies
Vulnerable Versions:Current on 03.06.2010 and probably prior
Tested Version:Current on 03.06.2010
Advisory Publication:June 7, 2010 [without technical details]
Vendor Notification:June 7, 2010
Public Disclosure:June 21, 2010
Vulnerability Type:Cross-Site Scripting [CWE-79]
Risk Level:Low
CVSSv2 Base Score:2.6 (AV:N/AC:H/Au:N/C:N/I:P/A:N)
Discovered and Provided:High-Tech Bridge Security Research Lab
 

Advisory Details:

High-Tech Bridge SA Security Research Lab has discovered three vulnerabilities in Scribe CMS which could be exploited to perform cross-site scripting attacks.

1) Cross-site scripting (XSS) vulnerability in Scribe CMS
1.1 The vulnerability exists due to input sanitation error in the “f” parameter in administrate_file.php. A remote attacker can send a specially crafted HTTP request to the vulnerable script and execute arbitrary HTML and script code in user`s browser in context of the vulnerable website. Successful exploitation requires that victim is logged-in into the application and has access to administrative interface.
Exploitation example:
https://host/path/administrate_file.php?f=SITENAME%2F%00%22%3E%3Cscript%3Ealert% 28document.cookie%29 %3C/script%3E&fn=view
1.2 The vulnerability exists due to input sanitation error in the "orig_t_id" parameter in template_admin.php. A remote attacker can send a specially crafted HTTP request to the vulnerable script and execute arbitrary HTML and script code in user`s browser in context of the vulnerable website. Successful exploitation requires that victim is logged-in into the application and has access to administrative interface.
Exploitation example:
https://host/path/template_admin.php?action=t_edit&orig_t_id=./%3Cscript%3Ealert %28document.cookie%2 9%3C/script%3E&path=SITENAME
1.3 The vulnerability exists due to input sanitation error in the "path" parameter in copy_folder.php. A remote attacker can send a specially crafted HTTP request to the vulnerable script and execute arbitrary HTML and script code in user`s browser in context of the vulnerable website. Successful exploitation requires that victim is logged-in into the application and has access to administrative interface.
Exploitation example:
https://host/path/copy_folder.php?path=SITE/%3Cscript%3Ealert%28document.cookie% 29%3C/script%3E


ImmuniWeb® On-Demand Web Application Penetration Test


Solution:
Currently we are not aware of any vendor-supplied patches or other solutions. The vendor was contacted in accordance to our Vendor Notification Policy but we didn't get any answer or feedback.


References:
[1] High-Tech Bridge Advisory HTB22420 - https://www.htbridge.com/advisory/HTB22420 - Cross-site Scripting (XSS) Vulnerabilities in Scribe CMS
[2] Scribe CMS - cmscribe.com - cmScribe is an advanced, 100% browser-based web content management system built on the latest version (4.0) of the .NET Framework.
[3] Common Weakness Enumeration (CWE) - http://cwe.mitre.org - targeted to developers and security practitioners, CWE is a formal list of software weakness types.
User Comments and Opinions


Have additional information to submit?
Please feel free to send us any additional information related to this Advisory, such as vulnerable versions, additional exploitation details and conditions, patches and other relevant details.